<?php


namespace AutoAdmin\Bundle\BrickBuilder\Brick\Handler;


use AutoAdmin\Bundle\BrickBuilder\Brick\Config\Configurator;
use AutoAdmin\Bundle\BrickBuilder\BrickType\BrickCategory;
use AutoAdmin\Bundle\BrickBuilder\BrickType\BrickNature;

class RootBrickHandler extends AbstractContainerBrickHandler
{
    const BRICK_TYPE = 'brick.root';

    public function configure(Configurator $configurator)
    {
        parent::configure($configurator);
        $configurator->setNature(BrickNature::NATURE_LAYOUT);
        $configurator->setCategory(BrickCategory::CATEGORY_LAYOUT);
        $configurator->setTemplate('@AutoAdminBrickBuilder/brick/root_brick.html.twig');
        $configurator->setOption('_tag', false, true);
    }
}